Bug 78392

Summary: Update MIPS patchOffsetGetByIdSlowCaseCall
Product: WebKit Reporter: Chao-ying Fu <fu>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, eric, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Update patchOffsetGetByIdSlowCaseCall values
none
Update patchOffsetGetByIdSlowCaseCall values barraclough: review+, barraclough: commit-queue+

Description Chao-ying Fu 2012-02-10 15:19:17 PST
Hi,
Due to recent change, I need to update MIPS patchOffsetGetByIdSlowCaseCall values.  I will post a patch soon.  Thanks!

Regards,
Chao-ying
Comment 1 Chao-ying Fu 2012-02-10 15:27:39 PST
Created attachment 126592 [details]
Update patchOffsetGetByIdSlowCaseCall values

Here is the patch.  Testing is ok.  Thanks!
Comment 2 Eric Seidel (no email) 2012-02-13 11:39:50 PST
Who should review this?  I believe this only affects MIPS?  How do we test this change?
Comment 3 WebKit Review Bot 2012-02-13 12:32:04 PST
Comment on attachment 126592 [details]
Update patchOffsetGetByIdSlowCaseCall values

Clearing flags on attachment: 126592

Committed r107594: <http://trac.webkit.org/changeset/107594>
Comment 4 WebKit Review Bot 2012-02-13 12:32:15 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Chao-ying Fu 2012-02-27 18:11:22 PST
Created attachment 129155 [details]
Update patchOffsetGetByIdSlowCaseCall values

The MIPS patchOffsetGetByIdSlowCaseCall values are wrong again, due to recent change in updateTopCallFrame().
Here is the patch to corret them.  JIT testing is ok.
Thanks a lot!

Regards,
Chao-ying